import {ObjectTypes, objectTypeFromConstructor} from "../../../../../core/geometry/Constant";
export class ByObjectTypeHelper {
  constructor(node) {
    this.node = node;
  }
  eval_for_objects(core_objects) {
    const object_type = ObjectTypes[this.node.pv.objectType];
    for (let core_object of core_objects) {
      const object = core_object.object();
      if (objectTypeFromConstructor(object.constructor) == object_type) {
        this.node.entity_selection_helper.select(core_object);
      }
    }
  }
}
